This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 491598 - OTF is a font format
OTF is a font format
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-03-23 04:52 EDT by Nicolas Mailhot
Modified: 2009-03-25 09:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 09:10:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 576360 None None None Never

  None (edit)
Description Nicolas Mailhot 2009-03-23 04:52:37 EDT
The gnome mime database thinks OTF files are some kind of ODF file (as
documented in the ODF spec).

However the OTF extension has long been used for OpenType fonts with CFF data,
and there are many more OTF font files in the wild and even in linux
distributions than OTF ODF files.

Therefore the default should be switched to font file.

Even OO.o uses the OTF moniker for font files
http://www.openoffice.org/issues/show_bug.cgi?id=43029
Comment 1 Matthias Clasen 2009-03-24 00:20:19 EDT
I guess it depends on your perspective if you consider OpenDocument Formula Templates more or less important than otf fonts.

Anyway, the right component for this is shared-mime-info, and you should also report it upstream in bugs.freedesktop.org.

One thing we could do is add the *.otf glob to application/x-font-otf as well, and use the new glob weights to control which one wins by default.
Comment 2 Bastien Nocera 2009-03-25 09:10:19 EDT
The bug is already upstream at:
http://bugs.freedesktop.org/show_bug.cgi?id=20854

Note You need to log in before you can comment on or make changes to this bug.